# Configure default view

The default view in Zulip is the view you reach after logging in
to the Zulip web app. You can also navigate to the default view via
keyboard shortcuts.

The default views available in Zulip are
[Recent topics](/help/recent-topics) and
[All messages](/help/reading-strategies#all-messages). See
[Reading strategies](/help/reading-strategies) for recommendations
on how to use these views.

You can configure which view is set as your default, and whether
the `Esc` key navigates to the default view. Also, you can always reach
the default view by using the `Ctrl + [` shortcut.

## Change default view

Organization administrators can [set the default view for their
organization](/help/configure-default-new-user-settings) to
[**Recent topics**](/help/recent-topics) or
[**All messages**](/help/reading-strategies#all-messages).
**Recent topics** is especially recommended for high-traffic
organizations, and is configured by default.

You can customize your personal default view regardless of
organization settings:

{start_tabs}

{settings_tab|display-settings}

2. Under **Advanced**, click on the **Default view** dropdown
and select a view.

1. To see your changes in action, open a new Zulip tab, or use a keyboard
shortcut twice to exit the settings and navigate to your default view
(`Ctrl + [` or `Esc` if enabled).

[configure-esc]: /help/configure-default-view#set-whether-esc-navigates-to-the-default-view

{end_tabs}

## Set whether `Esc` navigates to the default view

Zulip has a number of [keyboard shortcuts](/help/keyboard-shortcuts)
designed to enhance the user experience in the app.

By default, the `Esc` key shortcut will ultimately navigate to your
default view. You can disable this key binding if you would prefer.
This will not disable other `Esc` key shortcuts used in Zulip,
and will not affect the behavior of the `Ctrl+[` shortcut.

### Toggle whether `Esc` navigates to the default view

{start_tabs}

{settings_tab|display-settings}

1. Under **Advanced**, toggle **Escape key navigates to
default view**, as desired.

{end_tabs}

## Related articles
* [Reading strategies](/help/reading-strategies)
* [Recent topics](/help/recent-topics)
* [Keyboard shortcuts](/help/keyboard-shortcuts)
